Subject: booting SBC Orange Pi 3B with U-Boot and Luks

From: "." <[email-masked]>
Date: Thu, 5 Mar 2026 14:42:00 +0000

I want to make my Orange Pi 3B v1.1 boot Alpine Linux with Luks but also 
I'm kind of new when it comes to dealing with u-boot bootloader.

I have already compiled bootloader (building it with ROCKCHIP_TPL and 
BL32  binaries from linux-rkbin repository, so I assume this is 
build-in, so no rockchip miniloader according to u-boot rockchip docs 
page), I have u-boot-rockchip-spi.bin,idbloader.img,u-boot.itb (there 
was no ...-spl.bin).

I want to write boot.scr but all examples that I have seen were none-luks.